import { Component, createEffect, createResource } from 'solid-js';

import OlMap from 'ol/Map';

import dispatch from '../../workers/dispatcher-main';
import getUri from '../../lib/ids';

//import Trkseg from './Trkseg';

interface Props {
  trkId: string;
  map: () => OlMap | null;
}
export const Trk: Component<Props> = ({ map, trkId }) => {
  const [trk] = createResource(
    trkId,
    async () =>
      await dispatch({
        action: 'getTrk',
        params: {
          id: trkId,
        },
      })
  );

  createEffect(() => {
    console.log({ caller: 'Trk', map: map(), trkId, trk: trk() });
  });

  return <></>;
};

export default Trk;
